@echo off
REM check for two arguments
IF "%~2"=="" (
    echo Error: Incorrect usage.
    echo Usage: %~nx0 25.02.2025_00:00:00 10.03.2025_23:59:59
    goto :EOF
)

set "path_csv_data=..\data\asotr\"
set "begin=%~1"
set "end=%~2"

REM run Python-script with parameters
python plot_flight_borders.py -s %path_csv_data% -c 111100 -a 01 -b %begin% -e %end%
python plot_flight_borders.py -s %path_csv_data% -c 001000 -a 01 -b %begin% -e %end%
python plot_flight_borders.py -s %path_csv_data% -c 000011 -a 01 -b %begin% -e %end%
python plot_flight_borders.py -s %path_csv_data% -c 111100 -a 02 -b %begin% -e %end%
python plot_flight_borders.py -s %path_csv_data% -c 010100 -a 02 -b %begin% -e %end%
python plot_flight_borders.py -s %path_csv_data% -c 010000 -a 02 -b %begin% -e %end%
python plot_flight_borders.py -s %path_csv_data% -c 000100 -a 02 -b %begin% -e %end%
python plot_flight_borders.py -s %path_csv_data% -c 000011 -a 02 -b %begin% -e %end%
